s9_level_hints.levels["Level 11"] = function()
	return
	{
		miniscenes
		({
			level11_miniscene_porch = 
			{
				IF(state("Dog", "dog04"), miniscene("porch"))
			},
			level11_miniscene_shed = 
			{
				IF({state("Lock", "lock02"), state("Door" ,"door02")}, end_level("area_door01"))
			},
			level11_miniscene_chicken = 
			{
				miniscene("area_duck_chicken")
			},
		}),
		
		-- подоить корову
		IF(state("Stairs" , "stairs01"), click("Stairs")),
		IF(state("Stairs" , "stairs02"), take("Bucket")),
		click("area_well", "Bucket"),
		take("Bucket_with_water"),
		click("Washtub", "Bucket_with_water"),
		IF(state("Cow", "cow02"), click("area_cow02", "bucket02")),
		
		--открываем сарай
		take("Dish", "area_dish01"),
		click("area_dog01", "dish_with_milk"),
		on_scene("level11_miniscene_porch", take("Key")),
		click("Door", "Key"),
		click("Lock", "Key"),
		
		-- нарубить дрова
		take("Jerrican"),
		on_scene("level11_miniscene_shed", 
		{
			click("Saw", "Jerrican"),
			IF(state("Saw_cover" , "saw_cover02"), take("Saw")),
		}),
		click("Firewood", "Saw"),
		take("Whetstone"),
		on_scene("level11_miniscene_shed", 
		{
			-- точим топор
			take("Axe"),
			IF(in_inv("Whetstone"),
			{
				IF(state("Button", "button02"), click("Button")),
				IF(state("Button", "button01"), click("Whetstone01", "Whetstone")),
			}),
			IF({removed("Whetstone"), in_inv("Axe")},
			{
				IF(state("Button", "button01"), click("Button")),
				IF(state("Button", "button02"), click("Whetstone02", "Axe")),
			})
		}),
		IF(state("Firewood", "firewood02"), click("Firewood", "axe02")),
		IF(state("Firewood", "firewood03"), minigame("Firewood")),
		
		-- разделить цыплят и утят
		on_scene("level11_miniscene_shed",
		{
			IF(on_level("grain"),
			{
				IF(state("Chest" , "chest01"), click("area_chest01")),
				take("grain", "area_grain")
			})
		}),
		on_scene("level11_miniscene_chicken", click("Manger", "grain")),
		
		-- прополоть грядки
		IF(state("Garden", "garden01"), minigame("area_garden")),
		
		-- залатать крышу
		on_scene("level11_miniscene_shed", 
		{
			take("Hammer"),
			take("Roofing_mini"),
		}),
		on_scene("level11_miniscene_porch", take("Nails")),
		IF(state("Stairs", "stairs02"), 
		{
			click("hole", "Roofing_mini"),
			click("Roofing", "Nails"),
			IF(state("Roofing", "roofing02"), click("Roofing", "Hammer"))
		}),
		
		-- подстричь овцу
		on_scene("level11_miniscene_shed", 
		{
			take("Scissors01"),
			IF({removed("Whetstone"), in_inv("Scissors01")},
			{
				IF(state("Button", "button01"), click("Button")),
				IF(state("Button", "button02"), click("Whetstone02", "Scissors01")),
			})
		}),
		click("area_sheep01", "scissors02")
	}	
end
